## oem-cardreader-rts5229-1409576-dkms 1.0wataugafour2

=== oem-cardreader-rts5229-1409576-1.0wataugafour2/Makefile ===
# Driver for Realtek PCI-Express card reader
#
# Copyright(c) 2009 Realtek Semiconductor Corp. All rights reserved.  
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, see <http://www.gnu.org/licenses/>.
#
# Author:
#   wwang (wei_wang@realsil.com.cn)
#   No. 450, Shenhu Road, Suzhou Industry Park, Suzhou, China
#
# Makefile for the PCI-Express Card Reader drivers.
#

TARGET_MODULE := rts5229

EXTRA_CFLAGS := -Idrivers/scsi 

obj-m += $(TARGET_MODULE).o

$(TARGET_MODULE)-objs := rtsx.o rtsx_chip.o rtsx_transport.o rtsx_scsi.o rtsx_card.o \
			 general.o sd.o ms.o

default:
	cp -f ./define.release ./define.h
	make -j4 -C /lib/modules/$(KVER)/build/ SUBDIRS=$(PWD) modules
debug:
	cp -f ./define.debug ./define.h
	make -C /lib/modules/$(KVER)/build/ SUBDIRS=$(PWD) modules
install:
	cp $(TARGET_MODULE).ko /lib/modules/$(KVER)/kernel/drivers/scsi -f
clean:
	rm -f *.o *.ko
	rm -f $(TARGET_MODULE).mod.c

=== oem-cardreader-rts5229-1409576-1.0wataugafour2/oem-cardreader-rts5229-1409576-dkms-mkdsc/debian/changelog ===
oem-cardreader-rts5229-1409576-dkms (1.0wataugafour2) precise; urgency=medium

  * add post install and clean scripts. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 21 Jan 2015 16:55:56 +0800

oem-cardreader-rts5229-1409576-dkms (1.0wataugafour1) precise; urgency=medium

  * Initial release. (Closes: #1409576)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 21 Jan 2015 15:44:57 +0800

=== debian/control ===
Source: oem-cardreader-rts5229-1409576-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3

Package: oem-cardreader-rts5229-1409576-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: oem-cardreader-rts5229-1409576 driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-cardreader-rts5229-1409576
NAME=oem-cardreader-rts5229-1409576
VERSION=1.0wataugafour2

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
